<?php

  /**
  * Plugin Name: manageE Stromverbrauch
  * Plugin URI: 
  * Description: Balkendiagramm mit Exportfunktion zur Darstellung der kWh-Werte - Shortcode [stromverbrauch].
  * Version: 1.0
  * Author: manageE
  * Author URI: https://www.managee.de
  * License: GPL2
  * License URI:  https://www.gnu.org/licenses/gpl-2.0.html
  * Text Domain:  manageE_stromverbrauch
  */


defined('ABSPATH') or die("Thanks for visting"); //only run this if called from inside WordPress

function manageE_stromverbrauch_v1($atts)
{	
  //get the wordpress blog id for usage inside the javascript file
  global $blog_id; 
  $current_blog_details = get_blog_details( array( 'blog_id' => $blog_id ) ); 
  $blog_name=$current_blog_details->blogname;

if (isset($_GET['NodeId'])) {
  $NodeId = $_GET['NodeId'];
} else {
  $NodeId = '-1';
}

 	$atts = shortcode_atts( array(
		'signal_type_id' => '-5',
		'node_id' => $NodeId 
	), $atts, 'stromverbrauch' );
 
  $main = get_option( 'manageemain' ); 
  $code = get_option( 'manageecode' ); 
  echo '<span id="storage" data-variable-one="'.$blog_name.'" data-variable-two="'.$blog_id.'" data-variable-three="'.$main.'" data-variable-four="'.$code.'" data-variable-five="'.$atts['signal_type_id'].'" data-variable-six="'.$atts['node_id'].'" style="display:none"></span>'; //write blog id and blogname into html, so js can reach it
 
  $direct=plugin_dir_url( __FILE__ ); //get the directory of this pluginfolder, so the files inside this folder can be linked
  $fullpathjs='"'.$direct.'manageE-plugin.js"'; //path to the js-File 
  $fullpathhtml=$direct.'manageE-plugin.html'; //path to the html-File
  $fullpathcss=$direct.'manageE-plugin.css'; //path to css-File
  //multiple pathes to Tools-Files 


  $fullpatham3_1=''.$direct.'www.amcharts.com/lib/3/amcharts.js';
  $fullpatham3_2=''.$direct.'www.amcharts.com/lib/3/serial.js';
  $fullpatham3_3=''.$direct.'www.amcharts.com/lib/3/themes/light.js';
  $fullpatham3_4=''.$direct.'www.amcharts.com/lib/3/amstock.js';
  $fullpatham3_5=''.$direct.'www.amcharts.com/lib/3/plugins/export/export.min.js';
  $fullpatham3_7=''.$direct.'www.amcharts.com/lib/3/plugins/dataloader/dataloader.min.js';
  $fullpatham3_8=''.$direct.'www.amcharts.com/lib/3/lang/de.js';
  $fullpatham3_9=''.$direct.'www.amcharts.com/lib/3/plugins/tools/autoGuides/autoGuides.min.js';
  $fullpatham3_css= ''.$direct.'www.amcharts.com/lib/3/plugins/export/export.css';

  //call the d3 files, so they can be used in js


  echo '<script type="text/javascript" src="'.$fullpatham3_1.'" charset="utf-8"></script>';

  echo '<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" charset="utf-8"></script>';
  echo '<script type="text/javascript" src="'.$fullpatham3_2.'" charset="utf-8"></script>';
  echo '<script type="text/javascript" src="'.$fullpatham3_3.'" charset="utf-8"></script>';
  echo '<script type="text/javascript" src="'.$fullpatham3_4.'" charset="utf-8"></script>';
  echo '<script type="text/javascript" src="'.$fullpatham3_5.'" charset="utf-8"></script>';
  echo '<script type="text/javascript" src="'.$fullpatham3_7.'" charset="utf-8"></script>';
  echo '<script type="text/javascript" src="'.$fullpatham3_8.'" charset="utf-8"></script>';
  echo '<script type="text/javascript" src="'.$fullpatham3_9.'" charset="utf-8"></script>';

  echo '<link rel="stylesheet" href="'.$fullpatham3_css.'"/>';

  //link the stylesheet for the html 
  echo '<link rel="stylesheet" href="'.$fullpathcss.'"/>';

  /*
  echo '<iframe src='.$fullpathhtml.' seamless >', 
    '</iframe>',
    '<input id="nValue_m" class="my_input" max="12" min="1" step="1" type="number" value="1" />'
    ;
  */

  readfile($fullpathhtml);  //read the  html-file
  
  //call the js script
  echo '<script type="text/javascript" src='.$fullpathjs.'>',
     'console.log("JS said hello");',
     '</script>'
  ;
}
//add a shortcode so you can just put [your_shortcode] in WordPress
//first parameter is the shortcode, second is the php-function to be executed (see above)
add_shortcode( 'stromverbrauch', 'manageE_stromverbrauch_v1' );

?>
